---
layout: page
title: Information
permalink: /information/
ref: infos
lang: en
---

## What is JLU GitLab?

JLU GitLab is a [GitLab web service](https://en.wikipedia.org/wiki/GitLab).
GitLab is a versatile tool for the management of projects that involve file editing.
At the core of each GitLab project is a [Git repository](https://en.wikipedia.org/wiki/Git) that keeps versions of the edited files.
For each project, GitLab also provides a wiki, an issue-tracker and [continuous integration](https://en.wikipedia.org/wiki/Continuous_integration).

JLU GitLab is accessible at [https://gitlab.test.uni-giessen.de](https://gitlab.test.uni-giessen.de) and is hosted in the [IT service centre of the Justus Liebig University (JLU) Giessen](https://www.uni-giessen.de/fbz/svc/hrz).
The deployed GitLab Community Edition is licensed as free software, so JLU GitLab is technically and legally independent from [GitLab.com](https://gitlab.com).
JLU GitLab is maintained by a team of voluntary employees, [see further below](#who-is-maintaining-jlu-gitlab).

## Use cases

* In [Good enough practices in scientific computing von G. Wilseon et. al. (2017)](http://journals.plos.org/ploscompbiol/article?id=10.1371/journal.pcbi.1005510) reasons and how to use tools for versioning scientific software and programming code are shown.
* TODO: Add more.

## No storage of research data

JLU GitLab is neither designed nor suitable as storage for research data.
Such use is explicitly advised against.

For storage of research data, the JLU provides the [JLUbox](https://www.uni-giessen.de/fbz/svc/hrz/svc/daten/jlubox) as well as [network drives](https://www.uni-giessen.de/fbz/svc/hrz/svc/daten/san/index_html).
For questions regarding management of research data, you find further help at [this FAQ](https://www.uni-giessen.de/ub/digitales-publizieren/fdm/faq/) or write an E-Mail to [forschungsdaten@uni-giessen.de](forschungsdaten@uni-giessen.de).

## Who may use JLU GitLab?

Currently nobody; first, the terms of service must be written.
Once this is done, any student or employee with a valid s- oder g-Login may open a user account, as long as they accept the terms of service.
Please note that GitLab is currently only reachable within the university network.
You can also use it remotely through the [university VPN](https://www.uni-giessen.de/fbz/svc/hrz/svc/netz/campus/vpn).

## How can I use JLU GitLab?

You can find information on the practical use of JLU GitLab at [help on use]({{ '/help/' | relative_url }}).

## Who is maintaining JLU GitLab?

We are a team of JLU employees who volunteer to provide this service.
We work in consultation with the [JLU-internal IKM-AG](https://www.uni-giessen.de/org/cio/cio/ikm-ag), and for the service operations we exclusively use infrastructure provided by the IT service centre.
We are always looking for more volunteers who want to join our efforts.

You can contact us in various ways, see the [contact information](#contact).

## The goals of JLU GitLab

JLU GitLab first serves to assess demands across the JLU and for evaluation of its features in a research context.
We believe that currently, Git and GitLab provide the best tools to manage and document the software for our research.
Only a locally installed, freely licensed tool like GitLab can match the requirement to ensure long-term control over its implementation and administration.
<!-- TODO: Delete, or move to data section and clarify?
Within this context it seems noteworthy that the documentation and software necessary for the understanding of research data are themselves regarded as research data by [JLU's guideline on research data](https://www.uni-giessen.de/mug/5/pdf/forschung/5_00_00_1).
-->

## Future outlook

Once JLU GitLab is usable within the university, we have further plans to make it even more useful.
We would like to...

- ...make JLU GitLab accessible directly from the Internet, without VPN
- ...provide a procedure to allow accounts for people from outside the JLU
- ...investigate the possibility to publish content with [GitLab Pages](https://docs.gitlab.com/ce/user/project/pages/)
- ...evaluate the use of [Git Large File Storage (LFS)](https://docs.gitlab.com/ce/workflow/lfs/manage_large_binaries_with_git_lfs.html)

## Contact
For questions regarding help and support, please write an email to our support mailing list, [gitlab-help@lists.uni-giessen.de](mailto:gitlab-help@lists.uni-giessen.de).

We organize und document our work in GitLab projects.
If you are interested about our way of working and decision process and want to know more, you can contact us at [gitlab-admin@lists.uni-giessen.de](mailto:gitlab-admin@lists.uni-giessen.de).


